"use server";
import { loginApi, registerApi, userInfoApi } from "@/api/login";
import { cookies } from "next/headers";

export async function loginAction(formData: FormData) {
    const userPhone = formData.get("userPhone") as string;
    const pwd = formData.get("pwd") as string;
    try {
        const response = await loginApi({ user_phone: userPhone, pwd });
        const { data } = response;
        cookies().set("Token", response.data.token as string);
        if (!Array.isArray(data)) {
            const userInfo = await userInfoApi();
            return {
                success: true,
                user: userInfo.data,
                token: response.data.token,
            };
        }
        return {
            success: false,
            message: "Login failed",
        };
    } catch (error: any) {
        console.log(`🎯🎯🎯🎯🎯-> in action.ts on 37`, error);
        return {
            success: false,
            message: error.msg || "",
        };
    }
}

export async function registerAction(formData: FormData) {
    const userPhone = formData.get("userPhone") as string;
    const pwd = formData.get("pwd") as string;
    const referrer_code = formData.get("referrer_code") as string;
    try {
        const response = await registerApi({ user_phone: userPhone, pwd, referrer_code });
        return {
            success: true,
            message: response.msg || "",
        };
    } catch (error: any) {
        console.log(`🎯🎯🎯🎯🎯-> in action.ts on 37`, error);
        return {
            success: false,
            message: error.msg || "",
        };
    }
}
