"use client";
import { GlobalNoticeRep } from "@/api/home";
import Box from "@/components/Box";
import { timeFormat } from "@/utils/methods";
import { Collapse } from "antd-mobile";
import { useLocale } from "next-intl";
import style from "./style.module.scss";
interface Props {
    data: GlobalNoticeRep[];
}
const SystemMessage = (props: Props) => {
    const { data } = props;
    const locale = useLocale();
    return (
        <div className={style.messageCollapse}>
            <Collapse accordion>
                {data.map((notice, index) => (
                    <Collapse.Panel
                        key={`${index}`}
                        title={
                            <section>
                                <header className={"flex items-center"}>
                                    <h6 className={""}>{notice.content?.title}</h6>
                                    <div
                                        className={`ml-[0.1rem] h-[0.06rem] w-[0.06rem] rounded bg-[#f0dc00]`}
                                    ></div>
                                </header>
                                <p className={"text-[12px] text-[#64676d]"}>
                                    {notice.send_time
                                        ? timeFormat(notice.send_time!, locale)
                                        : timeFormat(notice.send_user_time!, locale)}
                                </p>
                            </section>
                        }
                    >
                        <div>
                            <p className={"text-[16px] text-[#c1c6d2]"}>{notice.content?.text}</p>

                            <img src={notice.content?.image} alt="" />
                            <div
                                className={`-mb-[12px] mt-[0.0694rem] flex h-[0.2778rem] items-center justify-center border-t-[0.006rem] border-[#454545] text-[#64676d]`}
                            >
                                <Box action={notice.action_type} actionData={notice.action_params}>
                                    <p className={"text-[0.1111rem]"}>{notice.content?.word}</p>
                                </Box>
                                <span
                                    className={"iconfont icon-xiangyou2 ml-[5px] text-[0.08rem]"}
                                ></span>
                            </div>
                        </div>
                    </Collapse.Panel>
                ))}
            </Collapse>
        </div>
    );
};

export default SystemMessage;
