import { GlobalNoticeRep } from "@/api/home";
import Tabs from "@/components/Tabs";
import { server } from "@/utils/server";
import Notices from "./components/Notices";

interface Props {}
const getSystemNotifications = async () => {
    return server.request<GlobalNoticeRep[]>({
        url: "/v1/api/front/notice_list",
        method: "post",
        data: {},
    });
};
const getUserNotices = () => {
    return server.request<GlobalNoticeRep[]>({
        url: "/v1/api/front/notice_user_list",
        method: "POST",
        data: {},
    });
};
const Notification = async () => {
    const systemNotices = await getSystemNotifications();
    const userNotices = await getUserNotices();

    const defaultTabs = [
        {
            id: 1,
            name: "systemMessage",
            content: 0,
            render: <Notices data={systemNotices.data} />,
        },
        {
            id: 2,
            name: "personalMessage",
            content: 0,
            render: <Notices data={userNotices.data} />,
        },
    ];
    return (
        <div className={"overflow-visible"}>
            <Tabs items={defaultTabs} />
        </div>
    );
};

export default Notification;
